package internal

import (
	sdkproto "codeup.aliyun.com/6552e56cc3b2728a4557fc18/plugin/proto"
	"encoding/json"
	"plugins/zltx/internal/po"
	"time"
)

func rechargeReq(c *sdkproto.OrderRequest) *po.OrderReq {
	return &po.OrderReq{
		MerchantId:      c.Config.AppId,
		OutTradeNo:      c.Order.OrderNo,
		ProductId:       c.Product.ProductNo,
		RechargeAccount: c.Order.Account,
		AccountType:     1,
		Number:          1,
		Version:         "1.0",
		TimeStamp:       time.Now().Unix(),
		NotifyUrl:       c.Config.NotifyUrl,
	}
}

func rechargeResp(resp po.OrderResp) *sdkproto.OrderResponse {
	data, _ := json.Marshal(resp)
	return &sdkproto.OrderResponse{
		Result: &sdkproto.Result{
			Status:  sdkproto.Status_ING,
			OrderNo: "",
			TradeNo: "",
			Message: resp.Message,
			Data:    data,
		},
	}
}
