package vo

import (
	proto2 "plugins/sdk/proto"
)

type OrderStatus string

const (
	OrderSuccess  OrderStatus = "01" // 充值成功
	OrderPending  OrderStatus = "02" // 充值处理中
	OrderFail     OrderStatus = "03" // 充值失败
	OrderAbnormal OrderStatus = "04" // 充值异常，处理中
)

var orderStatusMap = map[OrderStatus]proto2.Status{
	OrderSuccess: proto2.Status_SUCCESS,
	OrderPending: proto2.Status_ING,
	OrderFail:    proto2.Status_FAIL,
}

func (o OrderStatus) IsSuccess() bool {
	return o == OrderSuccess
}

func (o OrderStatus) IsPending() bool {
	return o == OrderPending
}

func (o OrderStatus) IsFail() bool {
	return o == OrderFail
}

func (o OrderStatus) IsAbnormal() bool {
	return o == OrderAbnormal
}

func (o OrderStatus) GetOrderStatus() proto2.Status {
	if resultStatus, ok := orderStatusMap[o]; ok {
		return resultStatus
	}
	return proto2.Status_ING
}
